GET_PFNBLOCK_FLAGS_M(9)

NAME
get_pfnblock_flags_mask - Return the requested group of flags for the pageblock_nr_pages block of pages

SYNOPSIS

unsigned long get_pfnblock_flags_mask(struct page * page, unsigned long pfn, unsigned long end_bitidx, unsigned long mask);

ARGUMENTS

page
    The page within the block of interest

pfn
    The target page frame number

end_bitidx
    The last bit of interest to retrieve

mask
    mask of bits that the caller is interested in

RETURN

pageblock_bits flags

COPYRIGHT